be.fgov.ehealth.messageservices.mycarenet.core.v1

## Class SelectRetrieveTransactionType

- java.lang.Object
- - be.fgov.ehealth.messageservices.mycarenet.core.v1.SelectRetrieveTransactionType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SelectRetrieveTransaction

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:43:58+01:00",
                 comments="JAXB RI v2.3.7")
      public class SelectRetrieveTransactionType
      extends Object
      implements Serializable

  Java class for SelectRetrieveTransactionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SelectRetrieveTransactionType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="patient" type="{http://www.ehealth.fgov.be/messageservices/core/v1}patientType" minOccurs="0"/>
               <element name="transaction" type="{http://www.ehealth.fgov.be/messageservices/core/v1}transactionType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectRetrieveTransactionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PatientType` | `getPatient()` Gets the value of the patient property.
    `TransactionType` | `getTransaction()` Gets the value of the transaction property.
    `void` | `setPatient(PatientType value)` Sets the value of the patient property.
    `void` | `setTransaction(TransactionType value)` Sets the value of the transaction property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectRetrieveTransactionType

          public SelectRetrieveTransactionType()

  - ### Method Detail

    - #### getPatient

          public PatientType getPatient()

      Gets the value of the patient property.
      Returns:
        possible object is `PatientType`

    - #### setPatient

          public void setPatient(PatientType value)

      Sets the value of the patient property.
      Parameters:
        `value` - allowed object is `PatientType`

    - #### getTransaction

          public TransactionType getTransaction()

      Gets the value of the transaction property.
      Returns:
        possible object is `TransactionType`

    - #### setTransaction

          public void setTransaction(TransactionType value)

      Sets the value of the transaction property.
      Parameters:
        `value` - allowed object is `TransactionType`

Connector Packaging PERSLOGOPEDIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.